Subject: Re: [PATCH 02/18] flag parameters: paccept

From: Ulrich Drepper <[email-masked]>
Date: Mon, 12 May 2008 21:42:31 -0700

Andrew Morton wrote:
> because afacit arm doesn't implement set_restore_sigmask() and nor does
> it need to, because it doesn't set HAVE_SET_RESTORE_SIGMASK.

pselect isn't define if HAVE_SET_RESTORE_SIGMASK isn't defined.  That's
fine since pselect offers nothing over select except the signal
handling.  For paccept we'll have to be a bit more sophisticated, I'm
afraid.  Patch in a few minutes.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖